function(floatexpr expr output)
  execute_process(COMMAND awk "BEGIN {print ${expr}}" OUTPUT_VARIABLE __output)
  set(${output}
      ${__output}
      PARENT_SCOPE)
endfunction()

function(get_model_type datasetPath output)
  file(STRINGS "${datasetPath}" firstTwoLinesOfDataset LIMIT_COUNT 2)
  list(GET firstTwoLinesOfDataset 1 secondLineOfDataset)
  string(LENGTH ${secondLineOfDataset} lineLength)
  floatexpr("${lineLength}-1" beginModelType)
  string(SUBSTRING ${secondLineOfDataset} ${beginModelType} 1 modelType)
  set(${output}
      ${modelType}
      PARENT_SCOPE)
endfunction()
