#pragma once

#include <optional>

namespace pi_database::dynamic_model
{

struct ModelParameterInfo
{
  char const* name{};
  double initialGuess{};
  double lowerBound{};
  double upperBound{};
  std::optional<double> exactValue;
};

}// namespace pi_database::dynamic_model
