#pragma once

#include "dynamic_model_infos.hpp"

#include <span>

namespace pi_database::dynamic_model
{

auto ode(
  double time,
  std::span<const double> states,
  double concentration,
  std::span<const double> modelParameters) -> std::array<double, getNumberOfOdes()>;

auto ode(
  double time,
  std::span<const double> states,
  std::span<const double> modelParameters) -> std::array<double, getNumberOfOdes()>;

}// namespace pi_database::dynamic_model
