#pragma once

#include <cstdint>
#include <vector>

namespace testutility
{

std::vector<double> create_random_vector_of_doubles(
  std::size_t numberOfElements,
  double lowerBound,
  double upperBound,
  std::uint_fast32_t seed);

double create_random_double(double lower, double upper, std::uint_fast32_t seed);

}// namespace testutility
